########################################################################
#
#	Define 'shift_list' class
#
########################################################################

class shift_list(list):
	
	def __init__(self, value):
		list.__init__(self, value)
		self.start = 0
	
	def __len__(self):
		return list.__len__(self) - self.start
		
	def __getitem__(self, i):
		return list.__getitem__(self, (i + self.start))

########################################################################
#
#	Define 'test' function
#
########################################################################

def test(item):

	print ("Shift List Test for Starting Index %s" % item.start)
	print 'string  ', str(item)
	print 'length  ', len(item)
	print 'access  ', item[0]
	print 'iterator', (", ".join([("%d" % s) for s in item]))
	print

########################################################################
#
#	Begin Test
#
########################################################################

item = shift_list(range(10))
test(item)
item.start = 2
test(item)
